Find Assets

Find assets in a project using filters passed as query parameters. A more lightweight alternative to POST /_search for simpler queries.

Some query parameters are not filters but control pagination, sorting and returned fields:

  • cursor: The meta.pagination.next_cursor value from the previous response. Sorting can't be changed while paginating.
  • limit: The number of assets to return
  • sort_by, sort_direction: The field and direction to sort by
  • additional_fields: Enrichments to include in the response, repeated or comma-separated. By default only custom_tags
    is returned; specifying this replaces that default.
Path Params
string
required

The ID of the project

Query Params
integer
1 to 1000
Defaults to 50

The number of assets to return

string
enum
Defaults to exposure_score

The field to sort by

Allowed:
string
enum
Defaults to desc

The direction to sort by

Allowed:
string

The type of asset (ip or domain/host)

User-defined tags on the asset

User-defined tags on the asset, matched by exact (case-sensitive) title

Filter for assets that have at least one custom tag applied. Overrides any other custom tag filtering specified.

The date (Y-m-d) the asset was added to the project. This may be different than when the asset was discovered.

The date (Y-m-d) the asset was added to the project. This may be different than when the asset was discovered.

The date (Y-m-d) the asset was discovered. This may be different than when the asset was added to the project. IPv4 addresses will have a fixed point in the past for their discovery date.

The date (Y-m-d) the asset was discovered. This may be different than when the asset was added to the project. IPv4 addresses will have a fixed point in the past for their discovery date.

The apex domain of the assets. Only makes sense for domain asset types.

IP address referenced via A or CNAME record. Use eq or in for exact IP matching. Use contains with a trailing . for CIDR range matching, or without for prefix matching.

If filtering on a referenced_ip, include additional criteria that the record existed during a date range. In this case, the reference must have started before this date.

If filtering on a referenced_ip, include additional criteria that the record existed during a date range. In this case, the referenced must have existing after this date.

The type of DNS record, e.g. A, AAAA or CNAME

Filter for assets that in the end resolve to a valid IP currently, either via an A or CNAME. IP-assets is included when filtering for assets that resolve.

Autonomous System Number of the asset's IP

Filter on a domain that is referenced by a CNAME record. Only makes sense for domain asset types. Treated as a wildcard, so example.com will match www.example.com.

^[a-zA-Z]{2}$

ISO country code of the IP geo location

Organization owning the IP address block

Email address of any current or historical WHOIS contact record, falling back to the parent domain's record

Email address of a WHOIS contact record, falling back to the parent domain's record

TCP/UDP port open on the asset

IP protocol (tcp/udp) of an open port

Service protocol detected on an open port

Technology product identified on an open port

Technology product identified on the asset

Web technology detected via Wappalyzer

Issuer common name of the TLS certificate

Expiration date of the TLS certificate Use this to find potentially expired certificates.

Expiration date of the TLS certificate use this to find certificates that likely haven't expired yet.

Issuance date of the TLS certificate

Issuance date of the TLS certificate

Subject entity (common name, organization, country) of the TLS certificate

DNS and IP subject alternative names on the TLS certificate

SHA256 fingerprint of the TLS certificate's public key

Filter where the certificate's subject common name domain or one of the Subject Alternate Names exactly matches or is a wildcard covering the provided value

Whether a Web Application Firewall was detected

Name of the detected Web Application Firewall

Whether the asset responds to ICMP or has open ports

0 to 100

A calculated score between 0-100 of the potential risk of the asset

0 to 100

A calculated score between 0-100 of the potential risk of the asset

ExposureSeverity | null

Severity level of exposures found on the asset

Exposure with this signature ID found on the asset

array | null

A list of additional fields to include in the response. You may specify this field multiple times or pass a comma-separated list from: custom_tags, dns_records, whois, ip_metadata, open_tcp_ports, open_udp_ports, web_technologies, certificates, certificate_chain, defenses, exposures, exposure_instance_details. By default custom_tags will be returned.

Base 64 string for pagination included in meta.pagination.next_cursor field in previous response. If provided, will return the next page of results

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json